import Vue from 'vue'

// import PublicQuery from './PublicQuery' // 共用查询
// import DropFilter from './TableFilter'
// import LotAttrs from './LotAttrs'
// import TableColumn from './TableColumn'
import Car from 'apec-fe-car-component'

import './globalComponent.umd'

// const Car = window.globalComponent.Car
const TableColumn = window.globalComponent.TableColumn
const LotAttrs = window.globalComponent.LotAttrs
const DropFilter = window.globalComponent.DropFilter
const PublicQuery = window.globalComponent.PublicQuery

// 导入需要被全局注册的组件
const globalComponents = [
  PublicQuery, // 共用查询
  DropFilter,
  LotAttrs,
  TableColumn,
  Car,
]

globalComponents.install = () => {
  globalComponents.map((component) => {
    Vue.component(component.name, component)
  })
}

export default globalComponents
