/**
 * 存放开发或构建
 */
export const NODE_ENV = process.env.NODE_ENV === 'production'
  ? 'build'
  : 'dev'

/**
 * 区分测试和正式环境
*/
export const DEPLOY_ENV = window.location.href.includes('http://devcms.ap-ec.cn/')
  ? 'test'
  : 'formal'

/**
 * todo: 添加正式BASE_URL
 * 测试和正式环境可能会使用不同的BASE_URL
*/
export const DEPLOY_BASE_URL = DEPLOY_ENV === 'test'
  ? '/tms/dist'
  : ''

export default {
  // 计算字体比率
  fontRate: {
    CHAR_RATE: 1.1, // 汉字比率
    NUM_RATE: 0.65, // 数字
    NON_CHAR_RATE: 0.8 // 非汉字比率
  },
  // 保留小数位
  numFix: {
    KG: 3,
    TON: 6
  }
}
