/**
 * created by wbz20
 * on 2018/10/29
 * */

// 库存查询
export default {
  // 多条件查询
  queryByTerms: {
    // 品质
    LOT_ATT04: [
      { id: 0, key: 'Y', name: '良品' },
      { id: 1, key: 'N', name: '不良品' },
      { id: 2, key: 'Q', name: '待检' },
    ],
    // 商品温层
    tempLevel: [
      { id: 0, key: 'TT', name: '恒温' },
      { id: 1, key: 'RT', name: '冷藏' },
      { id: 2, key: 'FT', name: '冷冻' },
      { id: 3, key: 'NT', name: '常温' },
    ],
  },
  // 库存交易
  transaction: {
    // 交易类型
    tranType: [
      { id: 0, key: 'CKIN', name: '取消加工父件入库' },
      { id: 1, key: 'CKOUT', name: '取消加工子件出库' },
      { id: 2, key: 'CKTF', name: '取消加工转移' },
      { id: 3, key: 'CMV', name: '取消移动' },
      { id: 4, key: 'CAD', name: '取消调整' },
      { id: 5, key: 'CTF', name: '取消转移' },
      { id: 6, key: 'CRP', name: '取消补货' },
      { id: 7, key: 'CQTF', name: '取消质检转移' },
      { id: 8, key: 'RCV', name: '收货' },
      { id: 9, key: 'CRCV', name: '取消收货' },
      { id: 10, key: 'PA', name: '上架' },
      { id: 11, key: 'PK', name: '拣货' },
      { id: 12, key: 'PACK', name: '打包' },
      { id: 13, key: 'SP', name: '发货' },
      { id: 14, key: 'CSP', name: '取消发货' },
      { id: 15, key: 'AD', name: '调整' },
      { id: 16, key: 'MV', name: '移动' },
      { id: 17, key: 'TF', name: '转移' },
      { id: 18, key: 'RP', name: '补货' },
      { id: 19, key: 'LD', name: '装车移动' },
      { id: 20, key: 'QTF', name: '质检转移' },
      { id: 21, key: 'KIN', name: '加工父件入库' },
      { id: 22, key: 'KOUT', name: '加工子件出库' },
      { id: 23, key: 'KTF', name: '加工转移' },
    ],
    // 单据类型
    orderType: [
      { id: 0, key: 'ASN', name: '入库单' },
      { id: 1, key: 'SO', name: '出货单' },
      { id: 2, key: 'TF', name: '转移单' },
      { id: 3, key: 'AD', name: '调整单' },
      { id: 4, key: 'QC', name: '质检单' },
      { id: 5, key: 'KIT', name: '加工单' },
      { id: 6, key: 'LD', name: '装装车单' },
    ]
  },
  // 库存冻结
  blockLog: {
    // 状态
    status: [
      { id: 0, key: '90', name: '释放' },
      { id: 1, key: '99', name: '冻结' },
    ],
    // 冻结方式
    holdType: [
      { id: 0, key: '1', name: '按货主' },
      { id: 1, key: '2', name: '按货主和商品' },
      { id: 2, key: '3', name: '按批次' },
      { id: 3, key: '4', name: '按库位' },
      { id: 4, key: '5', name: '按跟踪号' },
    ],
    // 冻结原因
    reasonCode: [
      { id: 0, key: 'DM', name: '商品损坏' },
      { id: 1, key: 'EP', name: '过期商品' },
      { id: 2, key: 'LH', name: '库位冻结状态' },
      { id: 3, key: 'OT', name: '其他' },
    ],
    // 是否可调整
    isAllowAd: [
      { id: 0, key: 'Y', name: '是' },
      { id: 1, key: 'N', name: '否' },
    ],
    // 是否可移动
    isAllowMv: [
      { id: 0, key: 'Y', name: '是' },
      { id: 1, key: 'N', name: '否' },
    ],
    // 是否可转移
    isAllowTf: [
      { id: 0, key: 'Y', name: '是' },
      { id: 1, key: 'N', name: '否' },
    ],
    // 是否可取消收货
    isAllowCancleRec: [
      { id: 0, key: 'Y', name: '是' },
      { id: 1, key: 'N', name: '否' },
    ],
  }
}
