/**
 * created by wbz20
 * on 2018/10/18
 * */

// 入库管理
export default {
  // 入库状态
  status: [
    {
      id: 0,
      key: '00',
      name: '创建',
    },
    {
      id: 1,
      key: '10',
      name: '部分收货'
    },
    {
      id: 2,
      key: '20',
      name: '完全收货'
    },
    {
      id: 3,
      key: '90',
      name: '取消订单'
    },
    {
      id: 4,
      key: '99',
      name: '关闭订单'
    },
    {
      id: 5,
      key: '80',
      name: '完全加工'
    },
    {
      id: 6,
      key: '70',
      name: '部分加工'
    }
  ],

  // 入库单类型
  asnType: [
    {
      id: 0,
      key: 'PI',
      name: '普通入库',
    },
    {
      id: 1,
      key: 'AI',
      name: '调拨入库'
    },
    {
      id: 2,
      key: 'RI',
      name: '退货入库'
    },
    {
      id: 3,
      key: 'EI',
      name: '换货入库'
    }
  ],

  // 审核状态
  auditStatus: [
    {
      id: 0,
      key: '90',
      name: '不审核',
    },
    {
      id: 1,
      key: '99',
      name: '已审核'
    },
    {
      id: 2,
      key: '00',
      name: '未审核'
    }
  ],

  // 冻结状态
  holdStatus: [
    {
      id: 0,
      key: '00',
      name: '无冻结',
    },
    {
      id: 1,
      key: '99',
      name: '冻结'
    },
  ],
  // 是否复冻
  isRefreeze: [
    {
      id: 0,
      key: 'Y',
      name: '是',
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    },
  ],
  // 上架库位指定规则
  reserveCode: [
    {
      id: 0,
      key: 'MAN',
      name: '人工指定库位',
    },
    {
      id: 1,
      key: 'RCV',
      name: '收货时计算库位',
    },
    {
      id: 2,
      key: 'PA',
      name: '上架时计算库位',
    },
    {
      id: 3,
      key: 'B_RCV_ONE',
      name: '收货前计算库位-一步收货',
    },
    {
      id: 4,
      key: 'B_RCV_TWO',
      name: '收货前计算库位-两步收货',
    },
  ],
  // 是否质检
  isQc: [
    {
      id: 0,
      key: 'Y',
      name: '是',
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    },
  ],
  // 质检状态
  qcStatus: [
    {
      id: 0,
      key: '00',
      name: '创建',
    },
    {
      id: 1,
      key: '10',
      name: '部分质检'
    },
    {
      id: 2,
      key: '20',
      name: '完全质检'
    },
    {
      id: 3,
      key: '99',
      name: '关闭订单'
    }
  ],
  // 质检阶段
  qcPhase: [
    {
      id: 0,
      key: 'RCV',
      name: '收货前'
    },
    {
      id: 1,
      key: 'PA',
      name: '收货后上架前'
    }
  ],
  // 单据类型
  orderType: [
    {
      id: 0,
      key: 'ASN',
      name: '入库单'
    },
    {
      id: 1,
      key: 'SO',
      name: '出库单'
    },
    {
      id: 2,
      key: 'LD',
      name: '装车单'
    },
    {
      id: 3,
      key: 'AD',
      name: '调整单'
    },
    {
      id: 4,
      key: 'TF',
      name: '转移单'
    },
    {
      id: 5,
      key: 'QC',
      name: '质检单'
    },
    {
      id: 6,
      key: 'KIT',
      name: '加工单'
    },
    {
      id: 7,
      key: 'RP',
      name: '补货单'
    },
    {
      id: 9,
      key: 'MV',
      name: '移动单'
    }
  ],
  // 质检登记
  quality: {
    // 状态
    status: [
      {
        id: 0,
        key: '00',
        name: '创建',
      },
      {
        id: 1,
        key: '10',
        name: '部分质检'
      },
      {
        id: 2,
        key: '20',
        name: '完全质检'
      },
      {
        id: 3,
        key: '99',
        name: '关闭订单'
      }
    ],
  }
}
