/**
 * created by wbz20
 * on 2018/12/14
 * */
// 仓库策略管理
export default {
  // 质检规则
  qcRules: {
    // 规则类型
    qcType: [
      { id: 0, key: 'SAMPLE', name: '抽检' },
      { id: 1, key: 'FULL', name: '全检' },
    ],
    // 数量类型
    qtyType: [
      { id: 0, key: 'QTY', name: '数量' },
      { id: 1, key: 'PCT', name: '比例' },
    ],
    // 处理建议
    qcSuggest: [
      { id: 0, key: 'A01', name: '全部当良品处理' },
      { id: 1, key: 'A02', name: '良品和不良品分开处理, 未检部分当良品' },
      { id: 2, key: 'B01', name: '全部当不良品' },
      { id: 3, key: 'B02', name: '良品和不良品分开处理, 未检部分当不良品' },
      { id: 4, key: 'C01', name: '升级为全检处理 (针对抽检)' },
      { id: 5, key: 'D01', name: '现场决定' },
    ]
  },
}
