const proxy = require('./devServer.config')

module.exports = {
  // chainWebpack: config => {
  //   config.externals({
  //     'vue': 'Vue',
  //     'element-ui': 'ELEMENT'
  //   })
  // },
  // configureWebpack: (config) => {
  //   config.module.rules.push({
  //     // 处理jquery
  //     test: require.resolve('jquery'),
  //     use: [{
  //       loader: 'expose-loader',
  //       options: 'jquery'
  //     }, {
  //       loader: 'expose-loader',
  //       options: '$'
  //     }, {
  //       loader: 'expose-loader',
  //       options: 'jQuery'
  //     }]
  //   })
  // },
  pages: {
    index: 'src/main.js',
    viewReports: {
      // page 的入口
      entry: 'src/businessPages/viewReports/main.js',
      // 模板来源
      template: 'public/businessPages/viewReports.html',
    },
    logisticsInfo: {
      // page 的入口
      entry: 'src/businessPages/logisticsInfo/main.js',
      // 模板来源
      template: 'public/businessPages/logisticsInfo.html',
    }
  },
  lintOnSave: true,
  css: { extract: false },
  devServer: {
    port: 8088,
    proxy: {
      ...proxy,
    }
  },

  // 设置部署路径，可以根据process.env.NODE_ENV动态设置
  baseUrl: '/wms',
  productionSourceMap: process.env.NODE_ENV !== 'production'
}
