module.exports = {
  root: true,
  env: {
    node: true
  },
  'extends': [
    'plugin:vue/essential',
    '@vue/standard'
  ],
  rules: {
    'no-console': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off',
    "comma-dangle": ["error", "only-multiline"],
    "one-var": ["off"], // 禁用声明的限制规则
    "no-unused-vars": ["off"], // 禁用未使用变量的限制
    'vue/no-parsing-error':["off"],
    "camelcase": [2, {"properties": "never"}]
  },
  parserOptions: {
    parser: 'babel-eslint'
  }
}
