const servers = [
  { name: '/app-web' }, // 登录
  { name: '/bd_web' }, // 用户信息
  { name: '/inb_web' }, // 入库管理
  { name: '/inv_web' }, // 库存管理
  { name: '/oub_web' }, // 出库管理
  { name: '/chg_web' }, // 计费管理
  { name: '/rep_web' }, // 汇总统计报表
  { name: '/enp_web' }, // 企业级管理
  { name: '/kit_web' }, // 加工管理
  { name: '/doc_web' }, // 月台管理
  { name: '/crd_web' }, // 越库管理
  { name: '/wms' }, // 通过网关的接口
  { name: '/database-web' }, // 阿里云服务
  { name: '/oms' }, // 实时路径服务
]

let proxyObj = {}

servers.map(function (item, index) {
  let serverObj = {}

  serverObj[item.name] = {
    // fixme: 这里替换成需要代理的服务器端口
    target: item.target || 'http://192.168.6.141', // 开发环境

    // target: item.target || 'http://ruite.ap88.com', // UAT环境
    changeOrigin: true,
  }

  proxyObj = Object.assign(proxyObj, serverObj)
})

module.exports = proxyObj
