import LogisticsDetail from '../views/LogisticsDetail'
import LogisticsPath from '../views/LogisticsPath'
import OrderPath from '../views/OrderPath'

let routes = [
  {
    path: '/',
    // redirect: '/logisticsDetail',
    redirect: '/orderPath',
  },
  // 默认页面, 物流详情信息
  {
    path: '/logisticsDetail',
    name: 'logisticsDetail',
    component: LogisticsDetail
  },
  // 订单路径
  {
    path: '/orderPath',
    name: 'orderPath',
    component: OrderPath
  },
  // 运单路径
  {
    path: '/logisticsPath',
    name: 'logisticsPath',
    component: LogisticsPath
  },
]

export default routes
