export default {
  // 审核状态
  auditStatus: [
    {
      id: 0,
      key: '00',
      name: '未审核'
    },
    {
      id: 1,
      key: '90',
      name: '不审核'
    },
    {
      id: 2,
      key: '99',
      name: '已审核'
    }
  ],
  // 收支类型
  receivePay: [
    {
      id: 0,
      key: 'RECEIVE',
      name: '收入'
    },
    {
      id: 1,
      key: 'PAY',
      name: '支出'
    }
  ],
  // 计算方式
  chargeType: [
    {
      id: 0,
      key: 'COMMON',
      name: '普通'
    },
    {
      id: 1,
      key: 'LADDER',
      name: '阶梯'
    }
  ],
  // 费用种类
  feeCategory: [
    {
      id: 0,
      key: 'INBOUND',
      name: '入库费用'
    },
    {
      id: 1,
      key: 'OUTBOUND',
      name: '出库费用'
    },
    {
      id: 2,
      key: 'INVENTORY',
      name: '库存费用'
    },
    {
      id: 3,
      key: 'VAS',
      name: '服务增值费用'
    },
    {
      id: 4,
      key: 'SPECIAL',
      name: '特殊费用'
    },
    {
      id: 5,
      key: 'MANAGE',
      name: '管理费用'
    }
  ],
  // 费用名称
  feeNameCode: [
    {
      id: 0,
      key: 'CANGZU',
      name: '仓租'
    },
    {
      id: 1,
      key: 'TRANS',
      name: '运输费'
    },
    {
      id: 2,
      key: 'CREDIT_NODE',
      name: '红冲费用'
    },
    {
      id: 3,
      key: 'SALE',
      name: '销售费'
    },
  ],
  // 作业环节
  tranType: [
    {
      id: 0,
      key: 'RCV',
      name: '收货'
    },
    {
      id: 1,
      key: 'PA',
      name: '上架'
    },
    {
      id: 2,
      key: 'PK',
      name: '拣货'
    },
  ],
  // 计费基准
  chargeBase: [
    {
      id: 0,
      key: 'LOC',
      name: '库位'
    },
    {
      id: 1,
      key: 'ACT_PALLET',
      name: '实际托'
    },
    {
      id: 2,
      key: 'CALC_PALLET',
      name: '计算托'
    },
    {
      id: 3,
      key: 'CASE',
      name: '箱'
    },
    {
      id: 4,
      key: 'QTY',
      name: '数量EA'
    },
    {
      id: 5,
      key: 'CUBIC',
      name: '体积'
    },
    {
      id: 6,
      key: 'WEIGHT',
      name: '重量'
    },
    {
      id: 7,
      key: 'RT',
      name: '计费吨'
    },
    {
      id: 8,
      key: 'CONSTANT',
      name: '固定费用'
    },
    {
      id: 9,
      key: 'ACT_WEIGHT',
      name: '实际重量'
    },
    {
      id: 10,
      key: 'COST',
      name: '货值'
    }
  ],
  // 订单类型
  orderType: [
    {
      id: 0,
      key: 'ASN',
      name: '入库单'
    },
    {
      id: 1,
      key: 'SO',
      name: '出库单'
    },
    {
      id: 2,
      key: 'LD',
      name: '装车单'
    },
    {
      id: 3,
      key: 'AD',
      name: '调整单'
    },
    {
      id: 4,
      key: 'TF',
      name: '转移单'
    },
    {
      id: 5,
      key: 'QC',
      name: '质检单'
    },
    {
      id: 6,
      key: 'KIT',
      name: '加工单'
    },
    {
      id: 7,
      key: 'RP',
      name: '补货单'
    },
    {
      id: 8,
      key: 'MV',
      name: '移动单'
    },
  ],
  // 状态
  status: [
    {
      id: 0,
      key: '10',
      name: '审核'
    },
    {
      id: 1,
      key: '00',
      name: '创建'
    },
  ],
  // 费用类别
  feeType: [
    {
      id: 0,
      key: 'TRANSPORT_CHARGE',
      name: '运输费用'
    },
    {
      id: 1,
      key: 'SPECIAL_CHARGE',
      name: '特殊费用'
    },
    {
      id: 2,
      key: 'APPENDED_CHARGE',
      name: '增值服务费用'
    },
    {
      id: 3,
      key: 'SERVICE_CHARGE',
      name: '服务费用'
    },
    {
      id: 4,
      key: 'ALL',
      name: '全部'
    },
    {
      id: 5,
      key: 'CLAIM_CHARGE',
      name: '理赔费用'
    },
    {
      id: 6,
      key: 'DRIVER_REIMBURSE',
      name: '实际报账费用'
    },
    {
      id: 7,
      key: 'KCFY',
      name: '库存费用'
    }
  ],
  contractType: [
    {
      id: 0,
      key: 'CUSTOMER',
      name: '客户'
    },
    {
      id: 1,
      key: 'WH',
      name: '外租仓库'
    },
    {
      id: 2,
      key: 'HANDING',
      name: '装卸队 '
    },
  ]
}
