/**
 * created by wbz20
 * on 2018/10/18
 * */

// 出库管理
export default {
  // 出库状态
  status: [
    {
      id: 0,
      key: '00',
      name: '创建',
    },
    {
      id: 1,
      key: '10',
      name: '部分预配'
    },
    {
      id: 2,
      key: '20',
      name: '完全预配'
    },
    {
      id: 3,
      key: '30',
      name: '部分分配'
    },
    {
      id: 4,
      key: '40',
      name: '完全分配'
    },
    {
      id: 5,
      key: '50',
      name: '部分拣货',
    },
    {
      id: 6,
      key: '60',
      name: '完全拣货'
    },
    {
      id: 7,
      key: '70',
      name: '部分发运'
    },
    {
      id: 8,
      key: '80',
      name: '完全发运'
    },
    {
      id: 9,
      key: '90',
      name: '取消订单'
    },
    {
      id: 10,
      key: '99',
      name: '已关闭'
    }

  ],
  // 是否超量分配
  isOverAlloc: [
    {
      id: 0,
      key: 'Y',
      name: '是'
    },
    {
      id: 1,
      key: 'N',
      name: '否'
    }
  ],
  // 出库类型
  soType: [
    {
      id: 0,
      key: 'PO',
      name: '普通出库',
    },
    {
      id: 1,
      key: 'AO',
      name: '调拨出库'
    },
    {
      id: 2,
      key: 'RO',
      name: '退货出库'
    },
    {
      id: 3,
      key: 'EO',
      name: '换货出库'
    },
    {
      id: 4,
      key: 'OO',
      name: '排序出库'
    }
  ],
  // 拦截状态
  interceptStatus: [
    {
      id: 0,
      key: '00',
      name: '无拦截'
    },
    {
      id: 1,
      key: '10',
      name: '拦截'
    },
    {
      id: 2,
      key: '20',
      name: '待归储'
    },
    {
      id: 3,
      key: '90',
      name: '拦截失败'
    },
    {
      id: 4,
      key: '99',
      name: '拦截成功'
    }
  ],

  // 状态审核
  auditStatus: [
    {
      id: 0,
      key: '00',
      name: '未审核'
    },
    {
      id: 1,
      key: '90',
      name: '不审核'
    },
    {
      id: 2,
      key: '99',
      name: '已审核'
    },
  ],
  // 冻结状态
  holdStatus: [
    {
      id: 0,
      key: '00',
      name: '无冻结',
    },
    {
      id: 1,
      key: '99',
      name: '冻结'
    },
  ],

  // 装车单
  loadingList: {
    // 状态
    status: [
      {
        id: 0,
        key: '10',
        name: '创建'
      },
      {
        id: 1,
        key: '30',
        name: '部分装车'
      },
      {
        id: 2,
        key: '40',
        name: '完全装车'
      },
      {
        id: 3,
        key: '50',
        name: '部分交接'
      },
      {
        id: 4,
        key: '60',
        name: '完全交接'
      }
    ],
    headerStatus: [
      {
        id: 0,
        key: '10',
        name: '创建'
      },
      {
        id: 1,
        key: '30',
        name: '部分装车'
      },
      {
        id: 2,
        key: '40',
        name: '完全装车'
      },
      {
        id: 3,
        key: '50',
        name: '部分交接'
      },
      {
        id: 4,
        key: '60',
        name: '完全交接'
      }
    ],
    // 出库单状态
    soStatus: [
      {
        id: 0,
        key: '60',
        name: '完全拣货'
      },
      {
        id: 1,
        key: '80',
        name: '完全发运'
      },
    ],
    // 装车单类型
    ldType: [
      {
        id: 0,
        key: 'FREE',
        name: '无限制'
      },
      {
        id: 1,
        key: 'CARRIER',
        name: '按承运商'
      },
      {
        id: 2,
        key: 'LINE',
        name: '按线路'
      },
      {
        id: 3,
        key: 'CONSIGNEE',
        name: '按收货人'
      }
    ]
  },
  // 复核状态
  checkStatus: [
    {
      id: 0,
      key: '00',
      name: '未复核'
    },
    {
      id: 1,
      key: '90',
      name: '不复核'
    },
    {
      id: 2,
      key: '99',
      name: '已复核'
    }
  ],
  headerStatus: [

    {
      id: 0,
      key: '10',
      name: '未复核'
    },
    {
      id: 1,
      key: '30',
      name: '不复核'
    },
    {
      id: 2,
      key: '40',
      name: '已复核'
    },
    {
      id: 3,
      key: '50',
      name: '不复核'
    },
    {
      id: 4,
      key: '60',
      name: '已复核'
    },
    {
      id: 5,
      key: '00',
      name: '创建'
    }
  ]
}
