export default{
  status: [
    {
      id: 0,
      key: '00',
      name: '创建'
    },
    {
      id: 1,
      key: '10',
      name: '部分转移'
    },
    {
      id: 2,
      key: '20',
      name: '完全转移'
    },
    {
      id: 3,
      key: '90',
      name: '取消'
    },
    {
      id: 4,
      key: '99',
      name: '关闭'
    },
  ],
  AdOrder: {
    status: [
      {
        id: 0,
        key: '00',
        name: '创建'
      },
      {
        id: 1,
        key: '10',
        name: '部分调整'
      },
      {
        id: 2,
        key: '20',
        name: '完全调整'
      },
      {
        id: 3,
        key: '90',
        name: '取消'
      },
      {
        id: 4,
        key: '99',
        name: '关闭'
      },
    ],
    reasonCode: [
      {
        id: 0,
        key: 'DM',
        name: '损耗'
      },
      {
        id: 0,
        key: 'CN',
        name: '盘点'
      },
      {
        id: 0,
        key: 'OT',
        name: '其他'
      },
    ]
  },
  Alloction: {
    status: [
      {
        id: 0,
        key: '40',
        name: '完全分配'
      },
      {
        id: 1,
        key: '60',
        name: '完全拣货'
      },
      {
        id: 2,
        key: '80',
        name: '完全发运'
      },
    ]
  },
  reasonCode: [
    {
      id: 0,
      key: 'OWNER',
      name: '转移货权',
    },
    {
      id: 1,
      key: 'SKU',
      name: '转移商品',
    },
    {
      id: 2,
      key: 'LOT',
      name: '转移批次',
    },
  ],
  // 转移单行状态
  detailStatus: [
    {
      id: 0,
      key: '00',
      name: '创建'
    },
    {
      id: 1,
      key: '10',
      name: '部分转移'
    },
    {
      id: 2,
      key: '20',
      name: '完全转移'
    },
    {
      id: 3,
      key: '90',
      name: '取消'
    },
    {
      id: 4,
      key: '99',
      name: '关闭'
    },
  ],
  // 调整单行状态
  detailstatus: [
    {
      id: 0,
      key: '00',
      name: '创建'
    },
    {
      id: 1,
      key: '10',
      name: '部分调整'
    },
    {
      id: 2,
      key: '20',
      name: '完全调整'
    },
    {
      id: 3,
      key: '90',
      name: '取消'
    },
    {
      id: 4,
      key: '99',
      name: '关闭'
    },
  ],
  // 调整方式
  adMode: [
    {
      id: 0,
      key: 'A',
      name: '增加件数'
    },
    {
      id: 1,
      key: 'R',
      name: '减少件数'
    }
  ],
  // 出库单状态
  soStatus: [
    {
      id: 0,
      key: '00',
      name: '创建',
    },
    {
      id: 1,
      key: '10',
      name: '部分预配'
    },
    {
      id: 2,
      key: '20',
      name: '完全预配'
    },
    {
      id: 3,
      key: '30',
      name: '部分分配'
    },
    {
      id: 4,
      key: '40',
      name: '完全分配'
    },
    {
      id: 5,
      key: '50',
      name: '部分拣货',
    },
    {
      id: 6,
      key: '60',
      name: '完全拣货'
    },
    {
      id: 7,
      key: '70',
      name: '部分发运'
    },
    {
      id: 8,
      key: '80',
      name: '完全发运'
    },
    {
      id: 9,
      key: '90',
      name: '取消订单'
    },
    {
      id: 10,
      key: '99',
      name: '已关闭'
    }
  ],
  mvOrder: {
    status: [
      {
        id: 0,
        key: '00',
        name: '创建'
      },
      {
        id: 1,
        key: '20',
        name: '移动中'
      },
      {
        id: 2,
        key: '30',
        name: '部分移动'
      },
      {
        id: 3,
        key: '40',
        name: '完全移动'
      },
      {
        id: 4,
        key: '90',
        name: '取消'
      },
      {
        id: 5,
        key: '99',
        name: '关闭'
      },
    ],
    reason: [
      {
        id: 0,
        key: 'ST',
        name: '理货'
      },
      {
        id: 1,
        key: 'OT',
        name: '其他'
      },
    ]
  }
}
